<template>
	<div class="el-lista-articulos">
		<h1>Esta es la lista con los artículos</h1>
		<p>
			(Con un estilo muy cutre pero es muy tarde y tengo sueño)
		</p>
		<br />
		<p>
			(<b>Simulo que el servidor tarda 500ms en devolver los datos</b>, lo
			muestra con la ruedecita del ratón cargando)
		</p>
		<br />
		<p><b>Haz click sobre un artículo:</b></p>
		<br /><br /><br />
		<ul class="lista-articulos">
			<li
				class="articulo"
				v-for="articulo in articulos"
				:key="articulo.id"
				@click="showArticle(articulo.id)"
			>
				<h3>{{ articulo.title }}</h3>
				<br />
				<p>{{ articulo.summary }}</p>
			</li>
		</ul>
	</div>
</template>

<script>
	export default {
		data() {
			return {
				articulos: []
			};
		},
		created() {
			//Ratón cargando
			document.body.style.cursor = "wait";

			this.$store.dispatch("fetchArticles").then(() => {
				//Ratón normal
				document.body.style.cursor = "default";
				this.articulos = this.$store.getters.getArticles;
			});
		},
		methods: {
			showArticle(id) {
				this.$emit("article-selected", id);
			}
		}
	};
</script>

<style lang="scss">
	.el-lista-articulos {
		display: flex;
		flex-direction: column;
		align-items: center;

		background-color: #fafafa;
		box-shadow: 1px 1px 5px rgba($color: #000000, $alpha: 0.3);
		border-radius: 4px;

		p {
			max-width: 600px;
		}

		.lista-articulos {
			cursor: pointer;
			list-style: none;
			border-radius: 4px;
			max-width: 600px;
			border: 1px solid rgba($color: #000000, $alpha: 0.3);
			overflow: hidden;

			.articulo {
				padding: 16px;

				&:nth-child(2n-1) {
					background-color: #f3f3f3;
				}

				&:not(:last-of-type) {
					border-bottom: 1px solid rgba($color: #000000, $alpha: 0.3);
				}

				&:hover {
					background-color: #ddd;
				}

				&:active {
					background-color: #d0d0d0;
				}
			}
		}
	}
</style>